tigase.cluster.strategy.cmd

## Class PacketForwardCmd

- java.lang.Object
- - tigase.cluster.api.CommandListenerAbstract
  - - tigase.cluster.strategy.cmd.PacketForwardCmd

- All Implemented Interfaces:
    Comparable<CommandListener>, CommandListener

      public class PacketForwardCmd
      extends CommandListenerAbstract

  Class description
  Version:
    5.2.0, 13/06/22
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketForwardCmd(String name, SessionManagerClusteredIfc sm, DefaultClusteringStrategyAbstract strategy)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeCommand(tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, Map<String,String> data, Queue<tigase.xml.Element> packets)` Method description

    - ### Methods inherited from class tigase.cluster.api.CommandListenerAbstract

      `compareTo, equals, getName, getStatistics, getSyncInTraffic, getSyncOutTraffic, hashCode, incSyncInTraffic, incSyncOutTraffic, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketForwardCmd

          public PacketForwardCmd(String name,
                          SessionManagerClusteredIfc sm,
                          DefaultClusteringStrategyAbstract strategy)

      Constructs ...
      Parameters:
        `name` -
        `sm` -
        `strategy` -

  - ### Method Detail

    - #### executeCommand

          public void executeCommand(tigase.xmpp.JID fromNode,
                            Set<tigase.xmpp.JID> visitedNodes,
                            Map<String,String> data,
                            Queue<tigase.xml.Element> packets)
                              throws ClusterCommandException

      Method description
      Parameters:
        `fromNode` -
        `visitedNodes` -
        `data` -
        `packets` -
      Throws:
        `ClusterCommandException`

Copyright © 2014 "Tigase, Inc.". All rights reserved.